# Contributing to this repository

Please follow the naming conventions, *from* [**PEP 8**](https://www.python.org/dev/peps/pep-0008/#package-and-module-names):

> - **Modules** should have short, *all-lowercase names. Underscores can be used* in the module name if it improves readability.
> - **Class names** should normally use the *CapWords* convention.
> - **Function names** should be *lowercase, with words separated by > underscores as necessary to improve readability.*
> - **Variable names** follow the *same convention as function names*.
> - If a **function argument**'s name clashes with a reserved keyword, it is generally better to append a single trailing underscore rather than use an abbreviation or spelling corruption. Thus *class_* is better than clss. (Perhaps better is to avoid such clashes by using a synonym.)
> - **Constants** are usually defined on a module level and written in all *capital letters with underscores separating words.*
